#
# spec file for package python-pifpaf
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-pifpaf
Version:        0.12.0
Release:        1.1
Summary:        Suite of tools and fixtures to manage daemons for testing
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            https://github.com/jd/pifpaf
Source:         https://pypi.io/packages/source/p/pifpaf/pifpaf-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-pbr
Requires:       python-cliff
Requires:       python-fixtures
Requires:       python-os-testr
Requires:       python-oslotest
Requires:       python-requests
Requires:       python-six
Requires:       python-stevedore
Requires:       python-testrepository
Requires:       python-testtools
Requires:       python-xattr
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Pifpaf is a suite of `fixtures`_ and a command-line tool that allows to start
and stop daemons for a quick throw-away usage. This is typically useful when
needing these daemons to run `integration testing`_. It originaly evolved from
its precussor `overtest`_.

%prep
%setup -q -n pifpaf-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog LICENSE README.rst
%{python_sitelib}/*
%{_bindir}/pifpaf

%changelog
* Wed Aug 31 2016 tbechtold@suse.com
- update to 0.12.0:
  * Add support for s3rver
  * fakes3: export HTTP url
  * Mention CouchDB support in README
  * Add support for CouchDB
  * gnocchi: Catch a working line for metricd
  * Fix virtualenv handling
  * Revert "mysql: add --basedir=/usr"
  * mysql: fix typo
  * tests: fix mysqld database name
  * mysql: use pifpaf as the name of the database
  * mysql: add --basedir=/usr
  * mysql: use mysql_install_db if mysqld --initialize-insecure fails
  * mysql: add --no-defaults and --tmpdir to mysqld
  * Indicate we support etcd clustering
  * Support etcdctl
  * etcd: add clustering support
  * etcd: change default port to IANA and allow to change peer port
  * Print PID of process when logging output
  * Support for Aodh 3
  * Better reporting on wait_for_line
  * Print actual output when we don't find the expected line
  * tests: fix a port collision
  * tests: fix Popen usage with Python 3
  * Fix Python 3
  * Fix pep8 errors
  * influxdb: fix wait_for_line with re
  * ceph: fix output matching with re
  * Gnocchi: bugfix on wait_for_line on API
  * gnocchi: fix URL in waiting
  * keystone: disable tests
  * zookeeper: wait for ZooKeeper to start before returning
  * Fix Redis driver with Redis 3.2.1
  * drivers: support regexp for wait_for_line
  * gnocchi: support latest master/2.2 changes on gnocchi-api
  * aodh: run aodh-evaluator
  * Install software via tox
  * keystone: simplify wait for line for admin
  * drivers: translate OSError to a more readable error
  * keystone: simplify wait_for_line
  * keystone: fix pep8 error in test
  * Add a Keystone driver
  * Better debugging on errors
  * Add a pifpaf_stop function to stop pifpaf
  * Fix typo in InfluxDB driver
  * influxdb: fix Python >= 3.0 & < 3.5
  * travis: Remove missing etcd from install
  * travis: install InfluxDB with wget
  * Add PyPI version badge
  * postgresql: allow to configure host, set to none by default
  * aodh: set AODH_ENDPOINT for aodh client
  * gnocchi: fix a regression on variable names
- Adjust Requires
- Use pypi.io as Source url
* Fri May 13 2016 tbechtold@suse.com
- Initial packaging (version 0.2.0)
